Server start, but fails on missing .git dirs (!)
This commit is contained in:
parent
55dd35dcc1
commit
9f21b9383d
2 changed files with 26 additions and 0 deletions
5
pkg/fedora/.bundle/config
Normal file
5
pkg/fedora/.bundle/config
Normal file
|
|
@ -0,0 +1,5 @@
|
|||
---
|
||||
BUNDLE_FROZEN: "1"
|
||||
BUNDLE_DISABLE_SHARED_GEMS: "1"
|
||||
BUNDLE_WITHOUT: test:rdoc
|
||||
BUNDLE_PATH: vendor/bundle
|
||||
21
pkg/fedora/source-fix.patch
Normal file
21
pkg/fedora/source-fix.patch
Normal file
|
|
@ -0,0 +1,21 @@
|
|||
diff --git a/script/server b/script/server
|
||||
index da43895..c5357a3 100755
|
||||
--- a/script/server
|
||||
+++ b/script/server
|
||||
@@ -7,9 +7,13 @@ then
|
||||
echo "Mongod not started"
|
||||
else
|
||||
mkdir -p -v log/thin/
|
||||
- #force AGPL
|
||||
- tar cf ../_source.tar -X .gitignore *
|
||||
- mv ../_source.tar public/source.tar
|
||||
+ #force AGPL
|
||||
+ test -w public -a ! -e public/source.tar &&
|
||||
+ tar cf public/source.tar --exclude='source.tar' -X .gitignore *
|
||||
+ test -e public/source.tar || {
|
||||
+ echo "Can't find, or even create, public/source.tar. Giving up"
|
||||
+ exit 2
|
||||
+ }
|
||||
bundle exec ruby ./script/websocket_server.rb&
|
||||
bundle exec thin start $@
|
||||
fi
|
||||
Loading…
Reference in a new issue